Package ghidra.features.bsim.query.protocol

# Class ExecutableResultWithDeDuping

java.lang.Object
ghidra.features.bsim.query.protocol.ExecutableResultWithDeDuping

All Implemented Interfaces:
  `Comparable<ExecutableResultWithDeDuping>`

public class ExecutableResultWithDeDuping extends Object implements Comparable<ExecutableResultWithDeDuping>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutableResultWithDeDuping(ExecutableRecord rec)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFunction(double signif)`
  `int`
  `compareTo(ExecutableResultWithDeDuping o)`
  `boolean`
  `equals(Object obj)`
  `static Collection<ExecutableResultWithDeDuping>`
  `generate(Iterator<SimilarityResult> iter, Map<FunctionDescription,Integer> duplicationInfo)`
  `ExecutableRecord`
  `getExecutableRecord()`
  `int`
  `getFunctionCount()`
  `double`
  `getSignificanceSum()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecutableResultWithDeDuping

    public ExecutableResultWithDeDuping(ExecutableRecord rec)

- ## Method Details

  - ### getExecutableRecord

    public ExecutableRecord getExecutableRecord()

  - ### addFunction

    public void addFunction(double signif)

  - ### getFunctionCount

    public int getFunctionCount()
    Returns:
      number of functions with matches into this executable

  - ### getSignificanceSum

    public double getSignificanceSum()
    Returns:
      sum of significance scores for all matching functions

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(ExecutableResultWithDeDuping o)
    Specified by:
      `compareTo` in interface `Comparable<ExecutableResultWithDeDuping>`

  - ### generate

    public static Collection<ExecutableResultWithDeDuping> generate(Iterator<SimilarityResult> iter, Map<FunctionDescription,Integer> duplicationInfo)